function game_load()

  --create player object
  player = {img = playerCruiser, x = 0, y = 0, r = 0, score = 0}

  --define player speed
  player.speed = screenWidth/3

  --define player scale factor
  player.s = screenHeight/player.img:getHeight()/5

  --move player object to the middle of the screen
  player.x = screenWidth/2
  player.y = screenHeight/2

  --define overlay scale factor
  overlayScale = screenWidth/translucentOverlay:getWidth()

  --create sub state variables
  countdown = true
  gameplay = false
  pause = false

  --define countdown timer
  countdownTimer = 5.0

end

function game_update(dt)
  if game then
    --reduce countdown timer if countdown is still going
    if countdown then
      countdownTimer = countdownTimer - 1 * dt
      countdownText = love.graphics.newText(countdownFont, tostring(math.ceil(countdownTimer)))
      if math.ceil(countdownTimer) == 0 then
        countdown = false
        gameplay = true
      end
    end
    --check for player movement if gameplay is true
    if gameplay then
      if love.keyboard.isDown('a') then
        player.r = player.r - math.rad(30) * dt
      elseif love.keyboard.isDown('d') then
        player.r = player.r + math.rad(30) * dt
      end
      if love.keyboard.isDown('w') then
        local yMovement = math.sin(math.deg(player.r)) * (player.speed * dt)
        local xMovement = math.sqrt(math.pow(player.speed * dt, 2)-math.pow(yMovement, 2))
        player.x = player.x + xMovement
        player.y = player.y + yMovement
      end
      if love.keyboard.isDown('s') then
        local yMovement = math.sin(math.deg(player.r)) * (player.speed * dt)
        local xMovement = math.sqrt(math.pow(player.speed * dt, 2)-math.pow(yMovement, 2))
        player.x = player.x - xMovement
        player.y = player.y - yMovement
      end
    end
  end
end

function game_draw()
  if game then

    --draw player
    love.graphics.draw(player.img, player.x, player.y, player.r, player.s, player.s, player.img:getWidth()/2, player.img:getHeight()/2)

    --draw overlay if needed
    if pause or countdown then
      love.graphics.draw(translucentOverlay, 0, 0, 0, overlayScale)
    end

    --draw countdown if needed
    if countdown then
      love.graphics.draw(countdownText, screenWidth/2-countdownText:getWidth()/2, screenHeight/2-countdownText:getHeight()/2)
    end

  end
end
